diff --git a/Tools/TrfTestsART/test/test_trf_data18_hybrid.sh b/Tools/TrfTestsART/test/test_trf_data18_hybrid.sh
new file mode 100755
index 0000000000000000000000000000000000000000..c778f65c86eb1f0b906d1b4df544bb18cdded20a
--- /dev/null
+++ b/Tools/TrfTestsART/test/test_trf_data18_hybrid.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# art-description: Reco_tf.py q431 RAWtoALL in hybrid MT/MP mode: nprocs=2, threads=4
+# art-type: grid
+# art-include: master/Athena
+# art-athena-mt: 8
+
+timeout 43200 Reco_tf.py \
+  --inputBSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/Tier0ChainTests/data18_13TeV.00357750.physics_Main.daq.RAW/data18_13TeV.00357750.physics_Main.daq.RAW._lb0114._SFO-5._0003.data \
+  --outputAODFile=myAOD.pool.root \
+  --outputHISTFile=myHIST.root \
+  --outputDESDM_MCPFile=myDESDM_MCP.pool.root \
+  --outputDRAW_ZMUMUFile=myDRAW_ZMUMU.data \
+  --athenaopts="--nprocs=2 --threads=4" \
+  --preExec 'all:from AthenaMonitoring.DQMonFlags import DQMonFlags; DQMonFlags.doMonitoring=True; DQMonFlags.doNewMonitoring=True' \
+  --postExec 'FPEAuditor.NStacktracesOnFPE=10' \
+  --autoConfiguration='everything' \
+  --conditionsTag 'all:CONDBR2-BLKPA-RUN2-03' --geometryVersion='default:ATLAS-R2-2016-01-00-01' \
+  --runNumber='357750' --steering='doRAWtoALL' --maxEvents='-1'
+
+echo "art-result: $? Reco_tf_data18_hybrid"
diff --git a/Tools/TrfTestsART/test/test_trf_data18_mp.sh b/Tools/TrfTestsART/test/test_trf_data18_mp.sh
index 8b030dd2d4b41ae8478668d8f10ab639d5fd8801..a1ce30c2a482624fd2f6ef6ba931e75759421c79 100755
--- a/Tools/TrfTestsART/test/test_trf_data18_mp.sh
+++ b/Tools/TrfTestsART/test/test_trf_data18_mp.sh
@@ -1,10 +1,11 @@
 #!/bin/bash
 #
-# art-description: Reco_tf.py q431 RAWtoALL in MP mode
+# art-description: Reco_tf.py q431 RAWtoALL in MP mode, use 4 cores due to large memory usage of MP
 # art-type: grid
 # art-include: master/Athena
 # art-athena-mt: 8
 
+export ATHENA_CORE_NUMBER=4
 timeout 43200 Reco_tf.py \
   --inputBSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/Tier0ChainTests/data18_13TeV.00357750.physics_Main.daq.RAW/data18_13TeV.00357750.physics_Main.daq.RAW._lb0114._SFO-5._0003.data \
   --outputAODFile=myAOD.pool.root \